INSTALL 1.74 KB
Newer Older
1

2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
For Mac OS X users:
-------------------
melview can be installed via MacPorts. Obtain MacPorts (you will need
Administrator rights for this) from www.macports.org and install git:

sudo port install git

Now get the latest melview sources:

cd ~
git clone http://users.fmrib.ox.ac.uk/~flitney/melview.git

Now create your own ports directory:

mkdir -p ~/ports/python
cd ~/ports/python
cp -r ~/melview/ports/python/melview .

And install melview:

sudo port install melview


For RedHat/CentOS users:
------------------------
melview is available to install via the FMRIB repository. Unfortunately this
isn't a public repo so, if you aren't at FMRIB, you will need to follow the
manual installation instructions below.


For Ubuntu users:
-----------------
We haven't got a suitable installer prepared yet. Please follow the manual install instructions.

36
37
38
39
40
41
42
43
44
45
46
The package dependencies (on Ubuntu) were:

 * python-configobj
 * python-enthoughtbase
 * python-matplotlib
 * python-nibabel
 * python-pyface
 * python-pyside
 * python-traits
 * python-traitsui

47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64

For EPD users:
--------------
While it is possible to install melview in EPD/Canopy environments Enthought
have now made their product so hard to use that we feel it is inappropriate for
all but the most experienced users.

With EPD/Canopy's python the default in your path the program is installed
manually using setuptools:

sudo python ./setup.py install


Manual install instructions:
----------------------------
melview has the following Python (current target is Python 2.7) package
dependencies:

65
* enthoughtbase, traits and traitsui
66
* matplotlib
67
* nibabel
68
69
70
71
72
73
74
75
* pyside
* pyface
* configobj

Assuming these are present, and you have Administrator (sudo) rights, then you
should be able to run:

sudo python ./setup.py install